Page 1 of 2 12 LastLast
Results 1 to 20 of 30

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Jail Break 3.1.2 Help

  1. #1
    Default Jail Break 3.1.2 Help
    I just recently jail breaked my ipod touch 2g 3.1.2 with black ra1n. I wanted to add some themes but i cant find this path in the ssh. root/system/library/frameworks/. Also I use iphone browser and it still says i havent jail breaked my ipod touch yet but i put the services plist in the required location. thanks

  2. #2
    Odd that you can't see that path. Does it not appear? Are you sure that you're in the right path? What browser are you using?

  3. #3
    the iphone browser plus winscp

  4. #4
    Quote Originally Posted by mrcc View Post
    I just recently jail breaked my ipod touch 2g 3.1.2 with black ra1n. I wanted to add some themes but i cant find this path in the ssh. root/system/library/frameworks/. Also I use iphone browser and it still says i havent jail breaked my ipod touch yet but i put the services plist in the required location. thanks
    BlackRain did not install an icon for you?

  5. #5
    Eveything installed perfectly

  6. #6
    Retired Moderator Zwayne's Avatar
    Join Date
    Nov 2007
    Location
    Independence, LA
    Posts
    5,633
    Thanks
    656
    Thanked 764 Times in 591 Posts

    Take a look here you should find the fix for your issue....http://modmyi.com/forums/general/687...nebrowser.html

  7. #7
    And you were not able to install Cydia and ROCK?...dont install ICY. There is an issue with CYDIA malfunctioning due to installing ICY with 3.1.2

  8. #8
    I hav an 8g ipt2 and I really want to jailbreak it the 3.1.2 fw. I've tried the suggestions to downgrade but I keep geting error 20 after some sone told me to get fw out of c/user/username/roaming/appdata and get iTunes to jailbreak it. Error 20 appears anyone hav solution to this problem. Again. For me blackrain won't work probably because I hav a different model number starting with PA.

    Can someone show me the steps to downgrade from 3.1.2 to either 3.1 or 3.0 fw properly to not get error 20 or how to get blackrain to work if I don't hav MB bcause mine starts with PC because for me his face showed Up and then it said wait for reboot and it didn't reboot.
    I ve tried these suggestions:
    1. Deleted iTunes related stuff in task manager, nothing changed.
    2. Went to blackrain properties and made it compatitble, firewall won't let it open.

  9. The Following User Says Thank You to High_Voltage For This Useful Post:

    Cydia2win (2009-10-21)

  10. #9
    What version of iTunes are you running? And if the firewall is getting in the way, put it down for 5 to 10 minutes.

  11. #10
    I have iTunes 9.0.1. 10 min ago I tried to downgrade using 3.0 fw I heard from someone in this forum. Anyway I was told to put the fw in the apple updates folder, shift-restored and got error (20). I don't know why it won't work for me and everyone elses works. Is it because I hav 8g ipt2 or can I not downgrade from 3.1.2 to 3.0?
    I am a little impatient at at times when I try to get it work but nothing works. Anyone know the solution to my problem?

  12. #11
    Do you have access to another authorized computer to try this? Perhaps downgrading iTunes could aid.

  13. #12
    Quote Originally Posted by High_Voltage View Post
    I hav an 8g ipt2 and I really want to jailbreak it the 3.1.2 fw. I've tried the suggestions to downgrade but I keep geting error 20 after some sone told me to get fw out of c/user/username/roaming/appdata and get iTunes to jailbreak it. Error 20 appears anyone hav solution to this problem. Again. For me blackrain won't work probably because I hav a different model number starting with PA.

    Can someone show me the steps to downgrade from 3.1.2 to either 3.1 or 3.0 fw properly to not get error 20 or how to get blackrain to work if I don't hav MB bcause mine starts with PC because for me his face showed Up and then it said wait for reboot and it didn't reboot.
    I ve tried these suggestions:
    1. Deleted iTunes related stuff in task manager, nothing changed.
    2. Went to blackrain properties and made it compatitble, firewall won't let it open.
    OK, so I just upgraded my 2G iPod Touch 16GB from 2.2.1 to 3.1.2 (Damn greedy ***** apple taking $4.95 from me for it) and went straight to blackra1n as soon as the upgrade finished.

    Just like with my 3G[S] phone, on the first blackra1n run the Touch got stuck in DFU mode and blackra1n said done. So I followed the same procedure I used with my phone. Close out of blackra1n, re-launch it, and press "make it ra1n" again. Success on the second run. And my Touch is now jailbroken on 3.1.2.

    I am gonna try downgrading to 3.0 now, and see how that goes.

    *EDIT*
    OK, so I tried downgrading. On my first attempt, I just plugged the Touch in normally and did Shift+Restore and picked the 3.0 firmware. I got error 20 right away. So I tried again in DFU mode, and it downgraded just fine. Have you tried DFU mode yet? If not, do this (hopefully you have speakers)

    Open iTunes.
    Plug in your iPod.
    Hold the home & sleep buttons until you hear the USB disconnect sound.
    Let go of the sleep button, and continue holding the home button until you hear the USB connect sound.
    Your iPod's screen will stay black, and iTunes will pop up a notification that it found an iPod in recovery mode.
    Click OK.
    You are now in DFU mode.
    Hold the shift button and click restore.
    In the dialogue box, browse to and double click the iPod2,1_3.0_7A341_Restore.ipsw firmware.
    Let iTunes do it's thing.
    After a few minutes your iPod should be downgraded to 3.0.

    *EDIT 2*
    Wow. I did a Shift+Update to 3.1.1 & blackra1n worked on the first try.

    Man, I wish it was this easy to go up & down with firmwares on a 3G[S]! Might have to see if I can get this thing back to 2.2.1 tomorrow.

    *EDIT 3*
    Figured since I am playing with this thing and I already deleted all the apps and whatnot anyway, I would give 2.2.1 a shot. Put it in DFU mode and it downgraded to 2.2.1 without a hitch.

    It's really looking like DFU mode will fix you up.
    Last edited by L00i3; 2009-10-20 at 10:15 AM.

  14. #13
    Quote Originally Posted by High_Voltage View Post
    I hav an 8g ipt2 and I really want to jailbreak it the 3.1.2 fw. I've tried the suggestions to downgrade but I keep geting error 20 after some sone told me to get fw out of c/user/username/roaming/appdata and get iTunes to jailbreak it. Error 20 appears anyone hav solution to this problem. Again. For me blackrain won't work probably because I hav a different model number starting with PA.

    Can someone show me the steps to downgrade from 3.1.2 to either 3.1 or 3.0 fw properly to not get error 20 or how to get blackrain to work if I don't hav MB bcause mine starts with PC because for me his face showed Up and then it said wait for reboot and it didn't reboot.
    I ve tried these suggestions:
    1. Deleted iTunes related stuff in task manager, nothing changed.
    2. Went to blackrain properties and made it compatitble, firewall won't let it open.
    Did the blackrain picture stay on (ipods with the man) for a while? If so, then you have to wait a while then it reboots. If it doesn't reboot, try it yourself.

  15. #14
    The process went.............

    Unsuccessful. I shift-restored in DFU and it gave me error 1601 in stead of 20. Now when i want to restore, it sayd "Update and Restore and i do not want that, and now its stuck on Itunes plug-in screen. How do i get out of it?

  16. #15
    If it's on the plug in screen, it's in Restore mode. Restore or go into DFU and restore. Errors in the 1600s usually mean somethings wrong with the firmware and putting it on. Are you doing this automatically or are you selecting the firmware you want to install?

  17. #16
    Quote Originally Posted by Jeckel View Post
    If it's on the plug in screen, it's in Restore mode. Restore or go into DFU and restore. Errors in the 1600s usually mean somethings wrong with the firmware and putting it on. Are you doing this automatically or are you selecting the firmware you want to install?
    No,i either shouldve went to 3.1.1 then went to 3.0 from there. but i went to this site iPod and iPhone Firmware Download
    Got the 3.0 and did the downgrade process. i'm thinking its something looi3 told me and skipped something or made it up or if i shouldve went to 3.1 first. It is currently in the plug-in screen and it wants me to "update and restore" like i said before. So how do i keep the same Fw without updating? I will try to use this sites 3.1.2 fw and if that doesnt work i will hav to upgrade, unfortunatly .

    To everyone that is told something that might be true, make sure u get proof it was true.

  18. #17
    Quote Originally Posted by High_Voltage View Post
    i'm thinking its something looi3 told me and skipped something or made it up
    Why would I make that up just for you? I paid for the 3.1.2 update for my ipod FOR THE SOLE PURPOSE of trying to help you out. I should have saved my five bucks and stayed at the perfectly fine 2.2.1 jailbreak I had originally.

    My iPod is now sitting at stock 3.1.2 with no apps other than the ones that come stock because I first tried to help you out, then a few minutes ago decided to test a different theory I had about "reverse jailbreaking" which also worked exactly how I thought it would.

    So I guess I will go back to 3.0, use redsn0w, get my iPod set back up how I had it, and let you figure your own mess out on your own. Better tell your parents to re-think the new Touch, since you have proven that you can't handle a 1G touch.

  19. #18
    If you want to keep the firmware you have when restoring, select the firmware when you restore (a stock restore firmware, none other).

  20. #19
    Quote Originally Posted by L00i3 View Post
    Why would I make that up just for you? I paid for the 3.1.2 update for my ipod FOR THE SOLE PURPOSE of trying to help you out. I should have saved my five bucks and stayed at the perfectly fine 2.2.1 jailbreak I had originally.

    My iPod is now sitting at stock 3.1.2 with no apps other than the ones that come stock because I first tried to help you out, then a few minutes ago decided to test a different theory I had about "reverse jailbreaking" which also worked exactly how I thought it would.

    So I guess I will go back to 3.0, use redsn0w, get my iPod set back up how I had it, and let you figure your own mess out on your own. Better tell your parents to re-think the new Touch, since you have proven that you can't handle a 1G touch.
    I am sry that i led you to think it was your fault, honestly. i just said it was either u that skipped a step or it was me that didnt go to 3.1 first then to 3.0. As of right now, i am doing irecovery and its not working out considering that everyone is telling me to put it in dfu. I did dfu, put in the correct commands: Cd c:/boot,then irecovery.exe -f iBSS211.dfu. After that it says "iphone/itouch cannot be found". Again i'm sry for making u think that i said u were wrong. its just that the method didnt work for me bcause it gave me error 1604 after second try. so with that if someone could help with this problem i would be happy to ty for your help.

    and btw its a 2G!!
    Last edited by High_Voltage; 2009-10-24 at 04:06 AM. Reason: Automerged Doublepost

  21. #20
    Putting commands in the command prompt for restoring? Why not simply use iTunes to restore?

Page 1 of 2 12 LastLast
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •